##################################################################
# This procedure is called when the "Load" button on the menu.   #
##################################################################
        
proc Image_loader {new_file} {
        
    global input_image_file
        
    set input_image_file $new_file
        
# Check for the existance of the file specified.  If no file exists then
# exit with message.
    if {![file exists $input_image_file]} {
        postMessage "Sorry: cannot find file: $input_image_file"
        return
    }
# Check if the file is readable.  If not exit with message
    if {![file readable $input_image_file]} {
        postMessage "Sorry: cannot open file for reading: $input_image_file"
        return
    }
        
    set root [file rootname $input_image_file]
    set suffix [file extension $input_image_file]
        
    if {$suffix == ".gif" || $suffix == ".rppm" || $suffix == ".xbm"} {
    } else {
        postMessage "Cannot deal with extension: $suffix"
    }
    Set_Message "\n\nLoading image file: $input_image_file"

    set xmax ""; set ymax ""
# find the Resolution: field in imfile output
# "imfile" doesn't seem to work with "*.rppm" files, so skip this
    if {$suffix!=".rppm"} {
        set listOfCoordinates [exec imfile -long $input_image_file]
        set lines [split $listOfCoordinates \n]
        foreach line $lines {
            if {[lindex $line 0] == "Resolution:"} {
                set xmax [lindex $line 1]
                set ymax [lindex $line 3]
                break
            }
        }
        if {$xmax == "" || $ymax == ""} {
            postMessage \
                "ERROR: imfile cannot find image limits in: $input_image_file"
            postMessage "ERROR: (imfile output is :$listOfCoordinates)"
        }
    }
        
        
# do the best we can with gifs
    if {$suffix == ".gif"} {
### horrid kludge - use xbm because it's all we have at present ###
        postMessage "Converting Gif to XBM file - result may be useless!"
        exec imconv $input_image_file $root.xbm
        set suffix xbm
        postMessage "Conversion finished - If it's horrid, you'll have to \
            make a *.xbm or *.rppm by hand"
        set input_image_file $root.xbm

#####################################################################
########## This won't work until Gordon finds a converter! ##########
#####################################################################
###        exec imconv $input_image_file -rppm $root.rppm         ###
###        set photo_id [.can.c1 create photo 000 000 $xmax $ymax]###
###        readppm .can.c1-$photo_id $root.rppm                   ###
#####################################################################
    }
        
    if {$suffix == ".xbm"} {
        .can.c1 delete all
        set xcentre [expr ($xmax/2)]
        set ycentre [expr ($ymax/2)]
        .can.c1 create bitmap $xcentre $ycentre -bitmap @$input_image_file
    }
        
    if {$suffix == ".rppm"} {
# There is no way to identify the size of a "*.rppm" file, so set the 
# photo-widget to cover the whole canvas for now.
        .can.c1 delete all
        set xmax 1000; set ymax 1000
        set photo_id .can.c1-[.can.c1 create photo 0 0 $xmax $ymax]
        readppm $photo_id $input_image_file
    }
}
        
