###################################################################
# Create the bindings to allow user to move the selected item.    #
# This procedure is called when no radiobutton (with var _CHOICE) #
# is selected.                                                    #
###################################################################
proc Move_Item {} {

    .can.c1 bind selected <ButtonPress-1> {+
        set Move_motion 1

# Identify the selected items "type", and create an outline to be dragged
# across the canvas
        set type [.can.c1 type selected]

# Create an outline to be dragged across the canvas
        case $type in {
            {circle oval rectangle} {
                set edges [.can.c1 bbox selected]
                eval ".can.c1 create $type $edges -outline purple -tags box"
            }
            {polygon line} {
                set tagList [.can.c1 gettags selected]
                set edges [.can.c1 coords selected]
                eval ".can.c1 create line $edges -fill purple \
                    -tags box"
            }
        }
    }
#-----------------------------------------------------------------#
    bind .can.c1 <B1-Motion> {+
        if {$Move_motion} {
# Calculate new position for the outline
            set dx [expr ([.can.c1 canvasx %x]-$current_x)]
            set dy [expr ([.can.c1 canvasy %y]-$current_y)]
# Reset these values for any further movements
            set current_x [.can.c1 canvasx %x]
            set current_y [.can.c1 canvasy %y]
# Move the outline the specified amount
            eval ".can.c1 move box $dx $dy"
        }
    }
#-----------------------------------------------------------------#
    bind .can.c1 <ButtonRelease-1> {+
        if {$Move_motion} {
# Set vars to hold the coordinates for the end position of motion
            set end_x [.can.c1 canvasx %x]
            set end_y [.can.c1 canvasy %y]

# Calculate the difference in position between start and end
            set diff_x [expr ($end_x-$start_x)]
            set diff_y [expr ($end_y-$start_y)]

# Move the shape, bounding-box and its points to the new location.
            .can.c1 move selected $diff_x $diff_y
            .can.c1 move boundingbox $diff_x $diff_y
            .can.c1 move selpt $diff_x $diff_y

# Reset the "Move_motion" variable after move.
            set Move_motion 0
        }
    }
}